Handling of LONG columns

- « odbc_gettypeinfo

- odbc_next_result »

- PHP Manual
- ODBC Functions
- Handling of LONG columns

# odbc_longreadlen

(PHP 4, PHP 5, PHP 7, PHP 8)

odbc_longreadlen — Handling of LONG columns

### Description

odbc_longreadlen(resource `$statement`, int `$length`): bool

Controls handling of `LONG`, `LONGVARCHAR` and `LONGVARBINARY` columns. The default length can be set using the uodbc.defaultlrl php.ini directive.

### Parameters

`statement`

  The result identifier.

`length`

  The number of bytes returned to PHP is controlled by the parameter length. If it is set to `0`, long column data is passed through to the client (i.e. printed) when retrieved with odbc_result().

### Return Values

Returns `true` on success or `false` on failure.

### Notes

> Note:

> Handling of `LONGVARBINARY` columns is also affected by odbc_binmode().